Module com.io7m.jregions.core
Package com.io7m.jregions.core.unparameterized.sizes

## Class AreaSizeBI

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.sizes.AreaSizeBI

- All Implemented Interfaces:
    `AreaSizeBIType`, `AreaSizeValuesBIType`

      public final class AreaSizeBI
      extends java.lang.Object
      implements AreaSizeBIType

  The size of an area with `BigInteger` coordinates.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AreaSizeBI.Builder` | Builds instances of type `AreaSizeBI`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AreaSizeBI.Builder` | `builder​()` | Creates a builder for `AreaSizeBI`.
    `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `AreaSizeBI` that have equal attribute values.
    `int` | `hashCode​()` | Computes a hash code from attributes: `sizeX`, `sizeY`.
    `java.math.BigInteger` | `height​()` | Deprecated. Use `sizeY()`
    `static AreaSizeBI` | `of​(java.math.BigInteger sizeX, java.math.BigInteger sizeY)` | Construct a new immutable `AreaSizeBI` instance.
    `java.math.BigInteger` | `sizeX​()` |
    `java.math.BigInteger` | `sizeY​()` |
    `java.lang.String` | `toString​()` | Prints the immutable value `AreaSizeBI` with attribute values.
    `java.math.BigInteger` | `width​()` | Deprecated. Use `sizeX()`

    - ### Methods inherited from interface com.io7m.jregions.core.unparameterized.sizes.AreaSizeBIType

      `checkPreconditions`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### sizeX

          public java.math.BigInteger sizeX​()

      Specified by:
        `sizeX` in interface `AreaSizeBIType`
      Specified by:
        `sizeX` in interface `AreaSizeValuesBIType`
      Returns:
        The value of the `sizeX` attribute

    - #### sizeY

          public java.math.BigInteger sizeY​()

      Specified by:
        `sizeY` in interface `AreaSizeBIType`
      Specified by:
        `sizeY` in interface `AreaSizeValuesBIType`
      Returns:
        The value of the `sizeY` attribute

    - #### width

          @Deprecated
          public java.math.BigInteger width​()

      Deprecated. Use `sizeX()`
      Specified by:
        `width` in interface `AreaSizeValuesBIType`
      Returns:
        The width of the area

    - #### height

          @Deprecated
          public java.math.BigInteger height​()

      Deprecated. Use `sizeY()`
      Specified by:
        `height` in interface `AreaSizeValuesBIType`
      Returns:
        The height of the area

    - #### equals

          public boolean equals​(java.lang.Object another)

      This instance is equal to all instances of `AreaSizeBI` that have equal attribute values.
      Overrides:
        `equals` in class `java.lang.Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode​()

      Computes a hash code from attributes: `sizeX`, `sizeY`.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        hashCode value

    - #### toString

          public java.lang.String toString​()

      Prints the immutable value `AreaSizeBI` with attribute values.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A string representation of the value

    - #### of

          public static AreaSizeBI of​(java.math.BigInteger sizeX,
                                      java.math.BigInteger sizeY)

      Construct a new immutable `AreaSizeBI` instance.
      Parameters:
        `sizeX` - The value for the `sizeX` attribute
        `sizeY` - The value for the `sizeY` attribute
      Returns:
        An immutable AreaSizeBI instance

    - #### builder

          public static AreaSizeBI.Builder builder​()

      Creates a builder for `AreaSizeBI`.
      Returns:
        A new AreaSizeBI builder

Copyright © 2017 <code@io7m.com> http://io7m.com